fitsort(1)

NAME
fitsort - sort FITS header information from a list of files

SYNOPSIS
dfits <FITS files...> | fitsort <FITS keywords...>

DESCRIPTION

fitsort extract keyword values from a set of FITS headers and outputs it in an ASCII table format, which is compatible with most data processing software packages. It shall only be used in combination with the dfits utility.

The ASCII output is shown in columns. Columns are aligned with blank characters and also separated by tabulations. Blank alignment allows human readers to visualize the output in a pretty format, tabulations are there for spreadsheet compatibility. If you want to load out fitsort output into any spreadsheet, specify that fields shall be separated by tabulations and entries separated by linefeeds.

Examples :
dfits *.fits | fitsort BITPIX NAXIS NAXIS1 NAXIS2

The output would look like:
FILE BITPIX NAXIS NAXIS1 NAXIS2
file0001.fits 16 2 128 128
file0002.fits 32 2 512 512
...

ESO specific features in the FITS header are also supported. To get values for 'HIERARCH ESO' keywords, just give the complete names within double quotes. e.g.

dfits *.fits | fitsort "HIERARCH ESO INS LENS"

Another way of giving HIERARCH ESO keywords is to use the short FITS notation, the above example can be given as:

dfits *.fits | fitsort INS.LENS

Example: to retrieve the DPR keywords from an ESO FITS header, you would use:

dfits *.fits | fitsort To be completed... DPR.CATG DPR.TYPE DPR.TECH

This second way of requesting HIERARCH ESO keywords is not only shorter to type, it also avoids typing quotes or double-quotes on the command-line, making it easier to script with fitsort.

Notice that the keywords you give on the command-line are case-insensitive. The above line is equivalent to:

dfits *.fits | fitsort dpr.catg dpr.type dpr.tech

OPTIONS

-d  Do not print out the first output line. This option is useful to get only the query results, without the top line (giving all column names). This makes it easy to script fitsort from programs like awk or perl.

FILES

Input files to dfits shall all comply with FITS format. fitsort also supports HIERARCH ESO FITS format.

SEE ALSO

dfits (1)